Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui
Class CompositeFactory

    java.lang.Object
      org.eclipse.emf.ecp.spi.common.ui.CompositeFactory

    public final class CompositeFactory

extends Object

Author:
  Eugen Neufeld

Method Summary
`static CheckedModelClassComposite` | `getCheckedModelClassComposite(Collection<org.eclipse.emf.ecore.EPackage> ePackages)` Creates a `CheckedModelClassComposite`.
`static CheckedEStructuralFeatureComposite` | `getCheckedTableSelectionComposite(Object rootObject)` Creates a `CompositeProvider` for a composite displaying a table with checkboxes.
`static SelectionComposite<org.eclipse.jface.viewers.TreeViewer>` | `getSelectModelClassComposite(Collection<org.eclipse.emf.ecore.EPackage> unsupportedEPackages, Collection<org.eclipse.emf.ecore.EPackage> filteredEPackages, Collection<org.eclipse.emf.ecore.EClass> filteredEClasses)` Creates a `SelectionComposite` to select an `EClass`.
`static SelectionComposite<org.eclipse.jface.viewers.TableViewer>` | `getTableSelectionComposite(Object rootObject, boolean multiSelection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCheckedModelClassComposite

    public static CheckedModelClassComposite getCheckedModelClassComposite(Collection<org.eclipse.emf.ecore.EPackage> ePackages)

  Creates a `CheckedModelClassComposite`.

  Parameters:
    `ePackages` - the packages from which classes are shown in the `CheckedModelClassComposite`
  Returns:
    `CheckedModelClassComposite`

### getSelectModelClassComposite

    public static SelectionComposite<org.eclipse.jface.viewers.TreeViewer> getSelectModelClassComposite(Collection<org.eclipse.emf.ecore.EPackage> unsupportedEPackages,
                                                                                                        Collection<org.eclipse.emf.ecore.EPackage> filteredEPackages,
                                                                                                        Collection<org.eclipse.emf.ecore.EClass> filteredEClasses)

  Creates a `SelectionComposite` to select an `EClass`.

  Returns:
    `SelectionComposite`

### getTableSelectionComposite

    public static SelectionComposite<org.eclipse.jface.viewers.TableViewer> getTableSelectionComposite(Object rootObject,
                                                                                                       boolean multiSelection)

  Since:
    1.5

### getCheckedTableSelectionComposite

    public static CheckedEStructuralFeatureComposite getCheckedTableSelectionComposite(Object rootObject)

  Creates a `CompositeProvider` for a composite displaying a table with checkboxes.

  Parameters:
    `rootObject` - the viewer input
  Returns:
    the composite provider

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.